--- ./wsf_c/sandesha2c/src/storage/sqlite/sqlite3.c	2009-10-13 15:03:57.000000000 -0400
+++ ./wsf_c/savanc/src/subs_mgrs/sqlite/sqlite3.c	2009-10-13 15:04:25.000000000 -0400
@@ -10153,7 +10153,7 @@
   char buf[etBUFSIZE];       /* Conversion buffer */
   char prefix;               /* Prefix character.  "+" or "-" or " " or '\0'. */
   etByte errorflag = 0;      /* True if an error is encountered */
-  etByte xtype = 0;              /* Conversion paradigm */
+  etByte xtype;              /* Conversion paradigm */
   char *zExtra;              /* Extra memory used for etTCLESCAPE conversions */
   static const char spaces[] =
    "                                                                         ";
@@ -17117,9 +17117,13 @@
       pid = getpid();
       memcpy(&zBuf[sizeof(t)], &pid, sizeof(pid));
     }else{
-      int ret = -1;
+      int ret = 0;
+
       ret = read(fd, zBuf, nBuf);
       close(fd);
+      if(-1 == ret){
+          return SQLITE_IOERR_READ;
+      }
     }
   }
 #endif
@@ -50407,8 +50411,8 @@
   int triggers_exist = 0;      /* True if any triggers exist */
 #endif
 
-  sContext.zAuthContext = NULL;
   sContext.pParse = 0;
+  sContext.zAuthContext = 0;
   db = pParse->db;
   if( pParse->nErr || db->mallocFailed ){
     goto delete_from_cleanup;
@@ -61504,8 +61508,8 @@
   int newIdx      = -1;  /* index of trigger "new" temp table       */
   int oldIdx      = -1;  /* index of trigger "old" temp table       */
 
-  sContext.zAuthContext = NULL;
   sContext.pParse = 0;
+  sContext.zAuthContext = 0;
   db = pParse->db;
   if( pParse->nErr || db->mallocFailed ){
     goto update_cleanup;
@@ -70628,9 +70632,9 @@
   if( (vfsFlags & SQLITE_OPEN_MAIN_DB)!=0 && (zFilename==0 || *zFilename==0) ){
     vfsFlags = (vfsFlags & ~SQLITE_OPEN_MAIN_DB) | SQLITE_OPEN_TEMP_DB;
   }
-  rc = sqlite3BtreeOpen(zFilename, (sqlite3 *)db, ppBtree, btFlags, vfsFlags);
+  rc = sqlite3BtreeOpen(zFilename, (sqlite3 *) db, ppBtree, btFlags, vfsFlags);
   if( rc==SQLITE_OK ){
-    sqlite3BtreeSetBusyHandler(*ppBtree, (void*)&db->busyHandler);
+    sqlite3BtreeSetBusyHandler(*ppBtree, (BusyHandler *) &(db->busyHandler));
     sqlite3BtreeSetCacheSize(*ppBtree, nCache);
   }
   return rc;
